import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询生产入库明细列表
export function listInboundOrderDetail(query) {
  return request({
    url: baseUrl + '/business/inboundOrderDetail/list',
    method: 'get',
    params: query
  })
}

// 查询生产入库明细详细
export function getInboundOrderDetail(id) {
  return request({
    url: baseUrl + '/business/inboundOrderDetail/' + id,
    method: 'get'
  })
}

// 新增生产入库明细
export function addInboundOrderDetail(data) {
  return request({
    url: baseUrl + '/business/inboundOrderDetail',
    method: 'post',
    data: data
  })
}

// 修改生产入库明细
export function updateInboundOrderDetail(data) {
  return request({
    url: baseUrl + '/business/inboundOrderDetail',
    method: 'put',
    data: data
  })
}

// 删除生产入库明细
export function delInboundOrderDetail(id) {
  return request({
    url: baseUrl + '/business/inboundOrderDetail/' + id,
    method: 'delete'
  })
}
